<!DOCTYPE html>
<html lang="zh-CN">
  <head>
    <meta charset="UTF-8" />
    <meta
      name="viewport"
      content="width=device-width,initial-scale=1,minimum-scale=1,maximum-scale=1,user-scalable=no"
    />
    <title>MC-RATIO</title>
    <script type="text/javascript" src="./js/mc-ratio.umd.min.js"></script>
    <script>
      window.onload = function () {
        /**
         * 在mc-ratio.js插件中在window对象里挂了一个fekit对象，fekit包含了mcRatio方法,当然也可以用模块化方式调用插件。
         *
         * el是根元素时，建议在头部调用，如果放在底部，加载body中的内容时多少总需要一些时间。
         * */

        ratio({
          size: [750, 1334], // 设计稿的尺寸
          full: true, // 是否开启全屏模式？如果开启开屏模式则对宽度和高度双向自适应
          dpr: true, // 是否开启DPR,开启后尺寸将设置为物理分辨率
          fixed: 0, // 字号缩放精度为小数点后2位
          max: 750,
        });
      };
    </script>
  </head>
  <body>
    <h1>MC-RATIO</h1>
    <br />
    <div id="area">
      <br />
      <br />
      <br />
      <p>哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈哈</p>
      <p>↑</p>
      <p><em>任凭你尺寸千变万化，我总是一行显示</em></p>
      <br />
      <br />
      <br />
      <br />
      <br />
      <br />
      <h5>你或大或小横屏竖屏</h5>
      <h2>我总是刚刚好</h2>
      <br />
      <br />
      <br />
      <br />
      <br />
      <p>
        因设备字体不同，有px边框或渲染等原因，实际开发时请尽量留一点空隙或做超出省略处理
      </p>
      <br />
      <br />
      <br />
      <p>MC-RATIO V1.0.0</p>
    </div>
  </body>
</html>
